package shell

func (d DeviceShell) dumpsys(args ...string) ([]byte, error) {
	return d.RunSync("dumpsys", args...)
}

// BatteryUnplug executes battery unplug
func (d DeviceShell) BatteryUnplug() ([]byte, error) {
	return d.dumpsys("battery", "unplug")
}

// BatteryReset executes battery reset
func (d DeviceShell) BatteryReset() ([]byte, error) {
	return d.dumpsys("battery", "reset")
}
